Bug 426790 - Tray monitor starts from cli but not from menus
Tray monitor starts from cli but not from menus
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
: Reopened
: 426791 505727 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-26 07:40 EST by Juha Tuomala
Modified: 2010-05-11 15:47 EDT (History)
5 users (show)

See Also:
Fixed In Version: bacula-2.4.4-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:02:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Juha Tuomala 2007-12-26 07:40:00 EST
Description of problem:

If I run bacula-tray-monitor from shell, it works. If I try to start it from 
menus, it won't.


Version-Release number of selected component (if applicable):
bacula-traymonitor-2.0.3-11.fc8
Comment 1 Jon Ciesla 2008-07-30 09:16:57 EDT

*** This bug has been marked as a duplicate of 426791 ***
Comment 2 Manuel Walz 2008-07-30 09:24:34 EDT
*** Bug 426791 has been marked as a duplicate of this bug. ***
Comment 3 Juha Tuomala 2008-10-07 05:59:01 EDT
a) you can't mark bug #426791 as duplicate of this bug and vice versa.
b) this is a bug, it has been there in f8 and is still present in f9.

It would help if you would take 5min time and try or *even* use it yourself.

~% bacula-tray-monitor
07-Oct 12:50 tray-monitor: ERROR TERMINATION at parse_conf.c:829
Config error: Cannot open config file "./tray-monitor.conf": No such file or directory

~% cd /etc/bacula
/etc/bacula% bacula-tray-monitor
Connecting to Director xxxx.xxxx.ee:9101
Opened connection with Director daemon.
Connecting to Client xxxx.xxxxx.ee:9102
Comment 4 Felix Schwarz 2009-01-03 13:27:44 EST
Juha: Actually I think you are right that this is not a dup of bug 426791. Probably the problem is that the tray monitor application is in /usr/sbin and the desktop file does not use a fully qualified path. Can you please check if this solves your problem:
In /usr/share/applications/fedora-bacula-traymonitor.desktop change 
Exec=bacula-tray-monitor -c /etc/bacula/tray-monitor.conf

to:
Exec=/usr/sbin/bacula-tray-monitor -c /etc/bacula/tray-monitor.conf

Maybe the line is different in newer Fedoras, I just fixed this for EL4. If the fix above works for you I will take care of pushing it to all branches (EL5+F9/F10+devel).

Thanks for noticing.
Comment 5 Juha Tuomala 2009-01-04 16:57:32 EST
Yes, it helps for f9 at least. And i do have sbin in my paths. that bug 426791 still exists in f9 and probably in f10,rawhide too.
Comment 6 Jon Ciesla 2009-01-05 10:01:19 EST
The consolehelper behaviour has been fixed in recent releases.
Comment 7 Bug Zapper 2009-06-09 19:19:01 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:47:42 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Juha Tuomala 2009-07-20 05:55:16 EDT
(In reply to comment #6)
> The consolehelper behaviour has been fixed in recent releases.  

Yeah right it is not.
Comment 10 Jon Ciesla 2009-07-22 12:39:53 EDT
*** Bug 505727 has been marked as a duplicate of this bug. ***
Comment 11 Juha Tuomala 2009-07-22 13:49:41 EDT
Andreas ping. You own this package this has been open since December 2007, time to make a simple fix? Fedora is shipping GUI menu entries that don't work!
Comment 12 Jon Ciesla 2009-07-22 13:51:27 EDT
FYI, I'm working on a new build for rawhide, and will backport the desktop files.
Comment 13 Fedora Update System 2009-07-23 13:28:15 EDT
bacula-2.4.4-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bacula-2.4.4-4.fc11
Comment 14 Fedora Update System 2009-07-23 13:28:25 EDT
bacula-2.4.4-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bacula-2.4.4-4.fc10
Comment 15 Fedora Update System 2009-07-24 15:36:16 EDT
bacula-2.4.4-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7975
Comment 16 Fedora Update System 2009-07-24 15:37:25 EDT
bacula-2.4.4-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7977
Comment 17 Stephanos Manos 2009-07-24 16:43:16 EDT
(In reply to comment #10)
> *** Bug 505727 has been marked as a duplicate of this bug. ***  

Jon bug 505727 is not an exact duplicate of this bug.

It contains three issues.
The first might be fixed with the absolute path in the desktop file but i don't think so because /usr/bin/gnome-console is linked to consolehelper and not /isr/sbin/bgnome-console

The other two are still there.

Just check the contents of /etc/security/console.apps/wxconsole
and /etc/security/console.apps/bat. These files are not consolehelper files they are desktop files

Should i reopen it  or continue in this one?
Comment 18 Fedora Update System 2009-07-31 11:41:03 EDT
bacula-2.4.4-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bacula-2.4.4-5.fc11
Comment 19 Fedora Update System 2009-07-31 11:41:16 EDT
bacula-2.4.4-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bacula-2.4.4-5.fc10
Comment 20 Fedora Update System 2009-08-01 19:54:21 EDT
bacula-2.4.4-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8191
Comment 21 Fedora Update System 2009-08-01 19:59:09 EDT
bacula-2.4.4-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8206
Comment 22 Stephanos Manos 2009-08-03 14:33:42 EDT
There are still problems

[stef@testing ~]$ /usr/sbin/bgnome-console -c /etc/bacula/bgnome-console.conf
04-Aug 00:04 bgnome-console: ERROR TERMINATION at parse_conf.c:829
Config error: Cannot open config file "/etc/bacula/bgnome-console.conf": Permission denied


[stef@testing ~]$ /usr/sbin/wxconsole -c /etc/bacula/bwxconsole.conf
bash: /usr/sbin/wxconsole: No such file or directory


[stef@testing ~]$ /usr/sbin/bacula-tray-monitor -c /etc/bacula/tray-monitor.conf
04-Aug 00:16 tray-monitor: ERROR TERMINATION at parse_conf.c:829
Config error: Cannot open config file "/etc/bacula/tray-monitor.conf": Permission denied

You don't need absolute paths pointing to /usr/sbin in desktop files. If you want to use them then at least use /usr/bin since there are the symlinks to consolehelper.

Also please change the contents of the /etc/security/console.apps files 

[stef@testing ~]$ cat /etc/security/console.apps/wxconsole [Desktop Entry]
Name=Bacula WX Console
Comment=Bacula Director Console
Icon=/usr/share/pixmaps/wxwin16x16.xpm
Exec=/usr/bin/bwx-console -c /etc/bacula/bwx-console.conf
Terminal=false
Type=Application
Encoding=UTF-8
X-Desktop-File-Install-Version=0.3
Categories=System;Application;Utility;X-Red-Hat-Base;
[stef@testing ~]$ 


[stef@testing ~]$ cat /etc/security/console.apps/bat
[Desktop Entry]
Name=Bacula Administration Tool
Comment=Bacula Director Console
Icon=/usr/share/pixmaps/bat_icon.png
Exec=/usr/bin/bat -c /etc/bacula/bat.conf
Terminal=false
Type=Application
Encoding=UTF-8
StartupNotify=true
X-Desktop-File-Install-Version=0.3
Categories=System;Application;Utility;X-Red-Hat-Base;
[stef@testing ~]$ 

[stef@testing ~]$ cat /etc/security/console.apps/bacula-tray-monitor 
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Bacula Monitor
GenericName=Bacula Tray Monitor
Comment=Monitor your Bacula Backup server
Exec=/usr/bin/bacula-tray-monitor -c /etc/bacula/tray-monitor.conf
Icon=bacula-tray-monitor.xpm
Terminal=false
Type=Application
Categories=System;Application;Utility
[stef@testing ~]$ 

the above are not the same as the other files in that directory
i.e. 
[stef@testing ~]$ cat /etc/security/console.apps/bgnome-console 
USER=root
PROGRAM=/usr/sbin/bgnome-console
SESSION=true
[stef@testing ~]$
Comment 23 Fedora Update System 2009-08-11 08:09:51 EDT
bacula-2.4.4-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bacula-2.4.4-6.fc10
Comment 24 Fedora Update System 2009-08-11 08:10:04 EDT
bacula-2.4.4-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bacula-2.4.4-6.fc11
Comment 25 Fedora Update System 2009-08-11 18:30:42 EDT
bacula-2.4.4-6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8452
Comment 26 Fedora Update System 2009-08-11 18:35:39 EDT
bacula-2.4.4-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8485
Comment 27 Stephanos Manos 2009-08-21 13:27:49 EDT
The issues of #c22 are still present
Comment 28 Bug Zapper 2009-11-18 07:24:02 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 29 Bug Zapper 2009-12-18 01:02:02 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 30 tony dearson 2009-12-21 09:58:17 EST
This is a simple bug and a simple fix. The menu command starts with only use permissions but the configuration files in /etc/bacula are restricted. Temporary fix is to make the .conf files read and write to all.
Tony
Comment 31 Juha Tuomala 2009-12-21 12:51:02 EST
btw, am i only one who now sees rectangular boxes in place of every character where the messages are drawn?

It looks like messages would have been written in chinese and software failed to find proper font for it. Perhaps the protocol changed somehow?
Comment 32 Fedora Update System 2010-05-11 15:47:11 EDT
bacula-2.4.4-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.